Bug 346241 - Review Request: ruby-ldap - Ruby LDAP libraries
Review Request: ruby-ldap - Ruby LDAP libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 00:29 EDT by Michael Stahnke
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.9.7-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 13:05:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2007-10-23 00:29:34 EDT
Spec URL: http://stahnma.fedorapeople.org/ruby-ldap.spec
SRPM URL: http://stahnma.fedorapeople.org/ruby-ldap-0.9.7-1.fc7.src.rpm
Description: 
Ruby/LDAP is an extension library for Ruby. It provides the interface to
some LDAP libraries (e.g. OpenLDAP, UMich LDAP, Netscape SDK,
ActiveDirectory). The common API for application development
is described in RFC1823 and is supported by Ruby/LDAP.


Note: This is my first ruby package.  I tried to follow the guidelines, but may have not been perfect.  Please be gentle. :)
Comment 1 Michael Stahnke 2007-10-27 11:58:54 EDT
I see I was added to need sponsor.  I have other packages, just not other Ruby
packages.  I am already a member of Fedora Extras, or packagers, or whatever the
group is called ( I really don't recall the name currently). 

Comment 2 Mamoru TASAKA 2007-10-27 12:38:01 EDT
Ah.. sorry.. I misread your message.
Actually you already have several packages.
Comment 3 Mamoru TASAKA 2007-10-28 08:49:40 EDT
For 0.9.7-1:

* rdoc dependency
  - Would you explain why this package should have 
    (Build)Requires: ruby-ldap?

* Redundant Requires
  - "Requires: openldap openssl" is not needed. rpmbuild checks
     libraries' dependency and automatically adds it to binary rpms.

* SourceURL
  - For sourceforge tarball, please follow:
    http://fedoraproject.org/wiki/Packaging/SourceURL

* Stripping binaries
  - Stripping binaries by yourself is not allowed because this makes
    it impossible to create debuginfo rpm.

* Timestamp
  - For this package you can (should) use INSTALL="install -p" option to
    make install to keep timestamps on installed .rb files.

* %check
  - What is this empty %check entry for?
    * By the way, subdirectory test/ exists in tarball.
      If possible, please execute some tests in %check section.

* File entry
  - On i386
---------------------------------------------------------------------
warning: File listed twice: /usr/lib/ruby/site_ruby/1.8/i386-linux/ldap.so
---------------------------------------------------------------------
    ruby_sitelib points to /usr/lib/ruby/site_ruby/1.8,
    ruby_sitearch points to /usr/lib/ruby/site_ruby/1.8/i386-linux (on i386),
    so the file above is listed twice. Please avoid this.

  ! Note: on x86_64,
    ruby_sitelib points to /usr/lib/ruby/site_ruby/1.8, where
    ruby_sitearch points to /usr/lib64/ruby/site_ruby/1.8/x86_64-linux.

* Documents
  - You may also want to add "FAQ" to %doc.
Comment 4 Michael Stahnke 2007-10-28 16:36:32 EDT
Spec URL: http://stahnma.fedorapeople.org/ruby-ldap.spec
SRPM URL: http://stahnma.fedorapeople.org/ruby-ldap-0.9.7-2.fc7.src.rpm

I removed the rdoc br, in my orignal version, I was using it and forgot to
remove it. 

Fixed BR by removing openldap and openssl. 

Fixed SF source URL. 

Removed strip of ldap.so. 

Added install -p to make command. 

You can't run the tests without openldap-server, and I didn't really want to add
that the BR.  The tests are rather minimal.

Fixed %files section to remove duplicate and added FAQ to %doc. 

Comment 5 Mamoru TASAKA 2007-10-29 11:53:24 EDT
Well,
----------------------------------------------------
# For noarch packages: ruby_sitelib
%{ruby_sitelib}/*
# For arch-specific packages: ruby_sitearch
#%{ruby_sitearch}/*
----------------------------------------------------
You cannot do this.
ldap.so is actually installed under ruby_sitearch
(on x86_64, it is /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/),
where on x86_64, ruby_sitelib is /usr/lib/ruby/site_ruby/1.8/.

For this package you can treat this issue by specifying
file lists a little more verbosely.
Comment 6 Mamoru TASAKA 2007-10-29 11:58:50 EDT
Perhaps
-------------------------------------------------------------------
%{ruby_sitelib}/ldap/
%{ruby_sitearch}/ldap.so
-------------------------------------------------------------------
should solve file entry issue.
Comment 7 Michael Stahnke 2007-10-29 19:03:19 EDT
Ok, I think I understand the %files issue.  I was grabbing the entire directory
x86_64 (or i386), and my package shouldn't own that.   I just misread your
comment last time.

Spec URL: http://stahnma.fedorapeople.org/ruby-ldap.spec
SRPM URL: http://stahnma.fedorapeople.org/ruby-ldap-0.9.7-3.fc7.src.rpm
Comment 8 Mamoru TASAKA 2007-10-30 10:42:15 EDT
Okay.

--------------------------------------------------
  This package (ruby-ldap) is APPROVED by me
--------------------------------------------------
Comment 9 Michael Stahnke 2007-10-30 13:30:11 EDT
New Package CVS Request
=======================
Package Name: ruby-ldap
Short Description: Ruby LDAP libraries
Owners: stahnma
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 10 Michael Stahnke 2007-10-30 13:30:48 EDT
And then I realized I forgot branches...

New Package CVS Request
=======================
Package Name: ruby-ldap
Short Description: Ruby LDAP libraries
Owners: stahnma
Branches: EL4, EL5, F7, F8, dev 
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2007-10-30 19:15:50 EDT
cvs done.
Comment 12 Mamoru TASAKA 2007-11-01 13:17:21 EDT
Please close this bug when rebuild and request for bodhi are done.
Comment 13 Fedora Update System 2007-11-06 11:08:49 EST
ruby-ldap-0.9.7-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-ldap'
Comment 14 Mamoru TASAKA 2007-11-07 02:57:46 EST
Okay, now closing.
Comment 15 Fedora Update System 2007-11-09 18:49:58 EST
ruby-ldap-0.9.7-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-ldap'
Comment 16 Fedora Update System 2007-11-20 13:05:28 EST
ruby-ldap-0.9.7-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2007-11-20 13:11:42 EST
ruby-ldap-0.9.7-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.